/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean.api;

import com.google.gson.annotations.SerializedName;

/**
 * AuthRequestBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 27.]   [최초 작성]
 * @since 2018. 9. 27.
 */
public class AuthRequestBean extends RequestBean {
  /*
  "name" :             이름(string) ,
   "gender" :           성별(string) ,
   "nationality" :      내외국인(bool)  ,
   "phone_no" :         전화번호(string) ,
   "birthdate" :        생년월일(string) ,
   "device_no" :        기기번호(string) ,
   "tele_company" :     통신사(string)
   */
  @SerializedName("name")
  private String name;
  @SerializedName("gender")
  private String gender;
  @SerializedName("nationality")
  private String nationality;
  @SerializedName("phone_no")
  private String phoneNumber;
  @SerializedName("birthdate")
  private String birthDate;
  @SerializedName("device_no")
  private String deviceUuid;
  @SerializedName("tele_company")
  private String mobileCompany;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getGender() {
    return gender;
  }

  public void setGender(String gender) {
    this.gender = gender;
  }

  public String getNationality() {
    return nationality;
  }

  public void setNationality(String nationality) {
    this.nationality = nationality;
  }

  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public String getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(String birthDate) {
    this.birthDate = birthDate;
  }

  public String getDeviceUuid() {
    return deviceUuid;
  }

  public void setDeviceUuid(String deviceUuid) {
    this.deviceUuid = deviceUuid;
  }

  public String getMobileCompany() {
    return mobileCompany;
  }

  public void setMobileCompany(String mobileCompany) {
    this.mobileCompany = mobileCompany;
  }
}
